com.fasterxml.jackson.databind.util

## Interface Annotations

All Known Implementing Classes:
  AnnotationCollector.NoAnnotations, AnnotationCollector.OneAnnotation, AnnotationCollector.TwoAnnotations, AnnotationMap

    public interface Annotations

Interface that defines interface for accessing contents of a collection of annotations. This is needed when introspecting annotation-based features from different kinds of things, not just objects that Java Reflection interface exposes.

Standard mutable implementation is `AnnotationMap`

### Method Summary

Methods
`<A extends Annotation> A` `get(Class<A> cls)` Main access method used to find value for given annotation.
`boolean` `has(Class<?> cls)`
`boolean` `hasOneOf(Class<? extends Annotation>[] annoClasses)`
`int` `size()` Returns number of annotation entries in this collection.

### Method Detail

#### get

    <A extends Annotation> A get(Class<A> cls)

Main access method used to find value for given annotation.

#### has

    boolean has(Class<?> cls)

Since:
  2.9

#### hasOneOf

    boolean hasOneOf(Class<? extends Annotation>[] annoClasses)

Since:
  2.9

#### size

    int size()

Returns number of annotation entries in this collection.